### org.jfree.layouting.modules.output.html

# Class URLRewriteException

- `StackableException`
- - `org.jfree.layouting.modules.output.html.URLRewriteException`

`public class URLRewriteException`
`extends StackableException`

Creation-Date: 02.12.2006, 19:14:30

Author:
  Thomas Morgner

  ## Constructor Summary

  `URLRewriteException()`
    Creates a StackableRuntimeException with no message and no parent.

  `URLRewriteException(String message)`
    Creates an exception.

  `URLRewriteException(String message, Exception ex)`
    Creates an exception.

## Constructor Details

### URLRewriteException

    public URLRewriteException()

> Creates a StackableRuntimeException with no message and no parent.

### URLRewriteException

    public URLRewriteException(String message)

> Creates an exception.
> Parameters:
>   `message` - the exception message.

### URLRewriteException

    public URLRewriteException(String message,
                               Exception ex)

> Creates an exception.
> Parameters:
>   `message` - the exception message.
>   `ex` - the parent exception.